### Method

# Phosh QuickSetting set_status_icon

#### Declaration [src]

    void
    phosh_quick_setting_set_status_icon (
      PhoshQuickSetting* self,
      PhoshStatusIcon* status_icon
    )

#### Description [src]

Set the status-icon of the quick-setting. Use `NULL` to remove existing icon.

Sets property | `Phosh.QuickSetting:status-icon`

#### Parameters

`status_icon`

  Type: `PhoshStatusIcon`

  A status-icon or `NULL`.

  The data is owned by the caller of the method.